social_share:
  namespace: "Molecules/TM - Social"
  use: "@molecules/tm-social/social-share/social-share.twig"
  label: Social Sharing
  description: Social Sharing
  libraries:
    - social_share_lib:
        css:
          component:
            ../styles/social-share.css: { }

  fields:
    links:
      type: object
      label: Items
      preview:
        - url: "https://facebook.com"
          title: Facebook
          share: Share
          icon_links: fa-facebook-square
          icon_share: fa-facebook-f
          class: 'facebook-link'
        - url: "https://twitter.com"
          title: Twitter
          share: Tweet
          icon_links: fa-twitter-square
          icon_share: fa-twitter
          class: 'twitter-link'

  settings:
    wrapper_class:
      type: textfield
      label: Wrapper Class
    style:
      type: textfield
      label: Style
      options:
        share: Social sharing
        links: Social links

  variants:
    __default:
      label: Default
    share:
      label: Share
      settings:
        style: share
    links:
      label: Links
      settings:
        style: links
